com.google.gwt.user.client.ui

## Interface HasWidgets.ForIsWidget

All Superinterfaces:
  HasWidgets, java.lang.Iterable<Widget>

All Known Implementing Classes:
  AbsolutePanel, CaptionPanel, CellGridImpl, CellPanel, ComplexPanel, CustomScrollPanel, DeckLayoutPanel, DeckPanel, DecoratedPopupPanel, DecoratedStackPanel, DecoratorPanel, DefaultCalendarView.CellGrid, DialogBox, DisclosurePanel, DockLayoutPanel, DockPanel, FlexTable, FlowPanel, FocusPanel, FormPanel, Grid, HeaderPanel, HorizontalPanel, HorizontalSplitPanel, HTMLPanel, HTMLTable, LayoutPanel, LazyPanel, LoggingPopup, Panel, PopupPanel, RenderablePanel, ResizeLayoutPanel, RootLayoutPanel, RootPanel, ScrollPanel, SimpleLayoutPanel, SimplePanel, SplitLayoutPanel, SplitPanel, StackPanel, Tree, VerticalPanel, VerticalSplitPanel

Enclosing interface:
  HasWidgets

    public static interface HasWidgets.ForIsWidget
    extends HasWidgets

Extends this interface with convenience methods to handle `IsWidget`.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.HasWidgets

`HasWidgets.ForIsWidget`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `add(IsWidget w)`
`boolean` `remove(IsWidget w)`

### Methods inherited from interface com.google.gwt.user.client.ui.HasWidgets

`add, clear, iterator, remove`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Method Detail

#### add

    void add(IsWidget w)

#### remove

    boolean remove(IsWidget w)